Page MenuHomeSolus

initial build of python-numba
ClosedPublic

Authored by hashhsah on Sep 27 2019, 4:44 PM.

Details

Summary

Resolves T8245, depends on D7256

Test Plan

Diff Detail

Repository
R4828 python-numba
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

hashhsah created this revision.Sep 27 2019, 4:44 PM
hashhsah requested review of this revision.Sep 27 2019, 4:44 PM
hashhsah edited the summary of this revision. (Show Details)Oct 1 2019, 12:53 PM
JoshStrobl requested changes to this revision.Oct 1 2019, 1:03 PM
JoshStrobl added subscribers: xulongwu4, JoshStrobl.

Do we really need both the python 2 and 3 releases? Do you and @xulongwu4 need both?

pspec_x86_64.xml
2521–2522
This revision now requires changes to proceed.Oct 1 2019, 1:03 PM
hashhsah updated this revision to Diff 17485.Oct 1 2019, 1:30 PM

updated with proper packager setup

python3 is enough for my use case.

I only need its python3 version.

All my new projects since 2016 has been using python3.5+, about the same time I started experimenting with numba.
I would say very few people, if any, uses python2+numba.

JoshStrobl requested changes to this revision.Oct 1 2019, 1:50 PM

In which case since neither of you need the python2 version, let's just not include that in the package.

This revision now requires changes to proceed.Oct 1 2019, 1:50 PM
hashhsah updated this revision to Diff 17490.Oct 1 2019, 2:11 PM

remove python2 version, and remove some dependencies accordingly.

JoshStrobl accepted this revision.Oct 1 2019, 2:12 PM

LGTM, thanks!

This revision is now accepted and ready to land.Oct 1 2019, 2:12 PM
This revision was automatically updated to reflect the committed changes.